Favorite
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório
ID do usuário
Parâmetros de consulta
pageinteger · int32OpcionalDefault:
0perPageinteger · int32OpcionalDefault:
25sortstringOpcionalDefault:
iddirstringOpcionalDefault:
descRespostas
200
User favorite products listed
application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
404
User favorite products was not found
application/json
500
An internal server error was thrown
application/json
get/portal-user/{userId}/products/favorite
GET /api/b2b/portal-user/{userId}/products/favorite HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"currentPage": 1,
"perPage": 1,
"total": 1,
"items": [
{
"id": "text",
"name": "text",
"main_image": "text"
}
]
}